Undocumented Features

Undocumented String Registry Entries
-----------------------------
Registry Key: HKEY_LOCAL_MACHINE\SOFTWARE\CrashCourse\lock2k
All registry settings are String types.  Not all entries below exist in The Lock XP’s registry key, ones that do not will need to be created.

Reg Setting "rMonitor": display Locked Password dialog and blanked screen wall-paper on a specific or random monitor.  Values: 0 display on primary monitor, 1 display on monitor 1, 2 display on monitor two, -1 display on random monitor.

Reg Setting "sMonitor": display wall-paper on each monitor. Values: 0 display on primary monitor, 1 display on all monitors.

Reg Setting "wptimer": will cause the random custom wallpaper (set “Other Undocumented Features” below) to automatically display a different wallpaper in X number of seconds.  Set to 0 for no wallpaper changing.

Reg Setting "personalextras": add extra registry settings to keep on the local system when updating from the clone. (ex: logonmsg,displaylogonmsg,)  Each entry must be separated by a comma, and the entire string must end in a comma as well.  During a cloned image updates, the registry settings included in the "personalextras" registry key will not be updated.

Reg Setting "nostopservice": causes The Lock to not stop the Security Service if it is not automatically detected, before re-starting it during the Lock startup process.  Settings: 0 to not stop the service, 1 to enable. Default is 0.

Reg Setting "groupadmin": allows users in the GROUP ADMINISTRATORS group to have full access to the system while configuring users of other groups.  By default, Group Administrators may only work in The Lock XP Configuration Utility while they are configuring users.  Settings: 0 to allow Group Administrators access only to Configuration Utility, 1 to allow Group Administrators access to the entire system while configuring other users.  Default is 0.

Reg Setting "passdlg": specifies what the locked dialog text will say.  The default is a NULL string (no text) which will cause the password dialog to display "Password Dialog".  If this value is not blank, the password dialog will display the new text instead.  The default is a blank string.

Reg Setting "notitleex": will cause the Lock's password dialog to display, at random, in one of the three available sizes and layouts.

Reg Setting "title": specifies what the Lock's system tray icon will display as it's hint.

Reg Setting "pvisible": specifies that the last user and their last access date and time are always displayed on the locked password dialog, when that dialog is not displayed as the minimal dialog.

Reg Setting "famsg": Changes the File System Security Violation dialog message when a file system security violation has occurred.  By default, this entry is either blank, or does not exist in the registry.  Setting this item will change the text the user sees when The Lock detects a File System Security Violation has occurred.

Reg Setting "timeoutseconds": changes the idle time from minutes to seconds.  It actually specifies how many seconds each unit of the Idle Time represents.  Ex: if you want a 30 second idle time out, set the idle timeout to 30 in The Lock XP Configuration Utility, then set this option to 1, otherwise, remove it, or set it to 60.

Reg Setting "idlesuspendtime": set the idle timer suspended length in seconds.  This specifies how long The Lock XP will not monitor for idle system input when idle detection has been temporarily disabled.  For example, to set the suspend for idle system detection to two and a half hours, set this value to 9000 (the number of seconds in two and a half hours).  To set it back to the default (suspends until manually locked or restarted), set it to 0.

Reg Setting "showfla": set this option to show the number of failed logon attempts on the password dialog.

Reg Setting "tppass": set this option to show the actual invalid password attempted when the password dialog error message is displayed.  This entry is also logged in The Lock XP’s user log.

Reg Setting "serveripalt": set this registry entry to the address or name of an alternate SMS server to be connected when the primary SMS server is not available.  It is best that this backup SMS server not contain cloned images, but rather be used to logging and password validation (if applicable).

Reg Setting "flrun": Set this registry entry to automatically execute a program when the maximum failed logon attempts has been reached.  The text is in the format Program.EXE,Params.  For example, "<WINDIR>NOTEPAD.EXE,C:\Temp.txt" (without the quotes) will launch Notepad.exe and open the file Temp.txt when the maximum failed logon attempts has been reached.  By default, the program is started as hidden.  To show the program as it is executing, add @ to the beginning of the text.  @<WINDIR>NOTEPAD.EXE,C:\Temp.txt will start Notepad, show it, and load Temp.txt.  Any program and params can be started this way.

Reg Setting "admin_fs_timout": Set this registry entry to extend the default File System Violation warning dialog timeout from the default of 7 seconds.

Reg Setting "admin_fs_override": Set this registry entry to 1 to enable File System Violation Overrides for the logged on user.  This will give the user access to folders where they do not normally have access.

Other Undocumented Features
---------------------------
Custom Wallpaper: <My Documents>TheLockXP\Wallpaper  By default, when Blank Screen when Locked is configured to display an image, the users Desktop Wallpaper image is displayed.  Save .BMP files in this folder to use a different graphic on the blanked locked screen when Display wallpaper is enabled.  Save more than one .BMP or .JPG to use a random one when locked.

Custom Locked and Unlocked icons: To change the Locked and Unlocked icons for The Lock XP, simply place the icons you wish to use into The Lock XP's install folder as unlocked.ico and locked.ico.
